Subject: Re: [PATCH v5 0/7] locking: contended_release tracepoint instrumentation

From: Dmitry Ilvokhin <[email-masked]>
Date: Fri, 1 May 2026 13:32:44 +0000

I plan to rebase this series on top of Linus' tree to pick up Vineeth's
patch [1], and send an updated version next week.

In the meantime, I would appreciate feedback, especially on: 

- tracepoint semantics across different lock types
- overhead concerns in hot paths (e.g. qspinlock)

As a follow-up, I am also working on an RFC to extend perf lock
contention to make use of the contended_release tracepoint, so feedback
in that context would also be helpful.

Feedback from locking and tracing maintainers would be particularly
appreciated before respinning.

[1]: https://lore.kernel.org/all/[email-masked]/